gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-sync] branch master updated: -remove _tuple suffix


From: gnunet
Subject: [taler-sync] branch master updated: -remove _tuple suffix
Date: Sun, 30 Jul 2023 12:32:59 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository sync.

The following commit(s) were added to refs/heads/master by this push:
     new d9c0a50  -remove _tuple suffix
d9c0a50 is described below

commit d9c0a5067a6548b9543a9ef177a1c8bd4cefcb73
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sun Jul 30 12:32:56 2023 +0200

    -remove _tuple suffix
---
 contrib/uncrustify.sh               | 14 ++++++++++++++
 src/syncdb/plugin_syncdb_postgres.c | 10 +++++-----
 2 files changed, 19 insertions(+), 5 deletions(-)

diff --git a/contrib/uncrustify.sh b/contrib/uncrustify.sh
new file mode 100755
index 0000000..e8e05d3
--- /dev/null
+++ b/contrib/uncrustify.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -eu
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+
+if ! uncrustify --version >/dev/null; then
+  echo "you need to install uncrustify for indentation"
+  exit 1
+fi
+
+find "$DIR/../src" \( -name "*.cpp" -o -name "*.c" -o -name "*.h" \) \
+  -exec uncrustify -c "$DIR/uncrustify.cfg" --replace --no-backup {} + \
+  || true
diff --git a/src/syncdb/plugin_syncdb_postgres.c 
b/src/syncdb/plugin_syncdb_postgres.c
index 1d22239..7b6b3a9 100644
--- a/src/syncdb/plugin_syncdb_postgres.c
+++ b/src/syncdb/plugin_syncdb_postgres.c
@@ -502,8 +502,8 @@ postgres_store_payment (void *cls,
     GNUNET_PQ_query_param_string (order_id),
     GNUNET_PQ_query_param_auto_from_type (&tok),
     GNUNET_PQ_query_param_timestamp (&now),
-    TALER_PQ_query_param_amount_tuple (pg->conn,
-                                       amount),
+    TALER_PQ_query_param_amount (pg->conn,
+                                 amount),
     GNUNET_PQ_query_param_end
   };
 
@@ -593,9 +593,9 @@ payment_by_account_cb (void *cls,
                                     &order_id),
       GNUNET_PQ_result_spec_auto_from_type ("token",
                                             &token),
-      TALER_PQ_result_spec_amount_tuple ("amount",
-                                         pic->pg->currency,
-                                         &amount),
+      TALER_PQ_result_spec_amount ("amount",
+                                   pic->pg->currency,
+                                   &amount),
       GNUNET_PQ_result_spec_end
     };
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]